Bug 967987 - Provide additional logging at JndiAction level that would show credentials chosen for manage-domains authentication
Provide additional logging at JndiAction level that would show credentials ch...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
All Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Yair Zaslavsky
Pavel Stehlik
infra
:
Depends On: 967890 994191 997394
Blocks: 902971 1019461
  Show dependency treegraph
 
Reported: 2013-05-28 13:54 EDT by Tomas Dosek
Modified: 2016-02-10 14:10 EST (History)
9 users (show)

See Also:
Fixed In Version: is7
Doc Type: Enhancement
Doc Text:
This update enhances logging of the JndiAction class in debug mode, which enables users to view more detailed information on the query path, URI and user for performing the authentication and ticket creation.
Story Points: ---
Clone Of: 967890
Environment:
Last Closed: 2014-01-21 12:24:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15176 None None None Never

  None (edit)
Description Tomas Dosek 2013-05-28 13:54:40 EDT
+++ This bug was initially created as a clone of Bug #967890 +++

Description of problem:

Sometimes even debug level doesn't provide enough information on
possible issues. 


Version-Release number of selected component (if applicable):
all

How reproducible:
Special corner case - AD test works fine, however JndiAction fails with No user information found error

Steps to Reproduce:
Have AD with another domain as Subtree. user in the subtree.
Try to use the user and add the subtree domain via engine-manage-domains

Actual results:
Action fails and even in debug mode user cannot get enough information on the issue.

Expected results:
More info like User GUID, URI and ldapServerPath should be displayed in debug mode.

--- Additional comment from Tomas Dosek on 2013-05-28 13:51:22 EDT ---

Proposed patch: http://gerrit.ovirt.org/15139
Comment 2 Charlie 2013-11-27 19:23:45 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 3 errata-xmlrpc 2014-01-21 12:24:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.